Error message on update check

I’m using Mac 10.10.5 and updated to Scrivener 2.8. I didn’t receive a message that the update was completed, so i ran check for update.
After a a few seconds, I received the Update not available, please try again later, message. Scrivener shows version as 2.8, but how can I check that it installed properly?

Thanks.

If it shows 2.8 in the “about” panel from the main Scrivener menu, and the thing launches and does stuff without crashing, then it sounds like everything is okay.

You could play it safe and download a fresh copy from the product page, but usually that’s only necessary if after an update the software repeatedly crashes on load.